org.apache.hadoop.yarn.client.api.async.impl

## Class NMClientAsyncImpl.ContainerEvent

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<NMClientAsyncImpl.ContainerEventType>
  - - org.apache.hadoop.yarn.client.api.async.impl.NMClientAsyncImpl.ContainerEvent

- All Implemented Interfaces:
    org.apache.hadoop.yarn.event.Event<NMClientAsyncImpl.ContainerEventType>
  Direct Known Subclasses:
    NMClientAsyncImpl.ReInitializeContainerEvevnt, NMClientAsyncImpl.StartContainerEvent, NMClientAsyncImpl.UpdateContainerResourceEvent
  Enclosing class:
    NMClientAsyncImpl

      protected static class NMClientAsyncImpl.ContainerEvent
      extends org.apache.hadoop.yarn.event.AbstractEvent<NMClientAsyncImpl.ContainerEventType>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerEvent(org.apache.hadoop.yarn.api.records.ContainerId containerId, org.apache.hadoop.yarn.api.records.NodeId nodeId, org.apache.hadoop.yarn.api.records.Token containerToken, NMClientAsyncImpl.ContainerEventType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.api.records.ContainerId` | `getContainerId()`
    `org.apache.hadoop.yarn.api.records.Token` | `getContainerToken()`
    `org.apache.hadoop.yarn.api.records.NodeId` | `getNodeId()`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerEvent

          public ContainerEvent(org.apache.hadoop.yarn.api.records.ContainerId containerId,
                                org.apache.hadoop.yarn.api.records.NodeId nodeId,
                                org.apache.hadoop.yarn.api.records.Token containerToken,
                                NMClientAsyncImpl.ContainerEventType type)

  - ### Method Detail

    - #### getContainerId

          public org.apache.hadoop.yarn.api.records.ContainerId getContainerId()

    - #### getNodeId

          public org.apache.hadoop.yarn.api.records.NodeId getNodeId()

    - #### getContainerToken

          public org.apache.hadoop.yarn.api.records.Token getContainerToken()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.